<?php echo $header; ?>
<div id="content">
  <div class="breadcrumb a">
    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
    <?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
    <?php } ?>
  </div>
  <?php if ($error_warning) { ?>
  <div class="warning"><?php echo $error_warning; ?></div>
  <?php } ?>
  <div class="box">
    <div class="heading">
      <h1><img src="view/image/payment.png" alt="" /> <?php echo $heading_title; ?></h1>
      <div class="buttons"><a onclick="$('#form').submit();" class="button"><?php echo $button_save; ?></a><a onclick="location = '<?php echo $cancel; ?>';" class="button"><?php echo $button_cancel; ?></a></div>
    </div>
    <div class="content">
      <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form">
        <table class="form">
          <tr>
            <td><span class="required">*</span> <?php echo $entry_title; ?></td>
            <td><input type="text" name="flow_servipag_title" size="50" value="<?php echo $flow_servipag_title; ?>" placeholder="<?php echo $placeholder_title;?>" />
              <?php if ($error_title) { ?>
              <span class="error"><?php echo $error_title; ?></span>
              <?php } ?></td>
          </tr>        
          <tr>
	        <td><?php echo $entry_platform; ?></td>
            <td><select name="flow_servipag_platform_id">
            <?php
            $isTestPlatform = (!$flow_servipag_platform_id || $flow_servipag_platform_id == 'test');
            $selectedAttr = 'selected="selected"';
            $selectedAttrTest =  $isTestPlatform?$selectedAttr:'';
            $selectedAttrProd = !$isTestPlatform?$selectedAttr:'';
            ?>
                <option value="test" <?php echo $selectedAttrTest?>><?php echo $flow_servipag_test_site ?></option>
                <option value="real" <?php echo $selectedAttrProd?>><?php echo $flow_servipag_site ?></option>
              </select></td>
          </tr>
          <tr>
            <td><span class="required">*</span> <?php echo $entry_receiverid; ?></td>
            <td><input type="text" name="flow_servipag_receiverid" size="50" value="<?php echo $flow_servipag_receiverid; ?>" placeholder="<?php echo $placeholder_receiverid;?>" />
              <?php if ($error_receiverid) { ?>
              <span class="error"><?php echo $error_receiverid; ?></span>
              <?php } ?></td>
          </tr>
          <tr>
            <td><span class="required">*</span> <?php echo $entry_secret; ?></td>
            <td>
              <?php if ($flow_servipag_privatekey) { echo $has_private_key; }?>
              <input name="flow_servipag_privatekey_file" type="file" />
              <?php if ($error_privatekey) { ?>
              <span class="error"><?php echo $error_privatekey; ?></span>
              <?php } ?></td>
          </tr>
          <tr>
            <td><?php echo $entry_skip_type; ?></td>
            <td><select name="flow_servipag_skip_type_id">
                <?php foreach ($flow_servipag_skip_types as $flow_servipag_skip_type) { ?>
                <?php if ($flow_servipag_skip_type['id'] == $flow_servipag_skip_type_id) { ?>
                <option value="<?php echo $flow_servipag_skip_type['id']; ?>" selected="selected"><?php echo $flow_servipag_skip_type['name']; ?></option>
                <?php } else { ?>
                <option value="<?php echo $flow_servipag_skip_type['id']; ?>"><?php echo $flow_servipag_skip_type['name']; ?></option>
                <?php } ?>
                <?php } ?>
              </select>
            </td>
          </tr>
          <tr>
            <td><?php echo $entry_completed_status; ?></td>
            <td><select name="flow_servipag_completed_status_id">
                <?php foreach ($order_statuses as $order_status) { ?>
                <?php if ($order_status['order_status_id'] == $flow_servipag_completed_status_id) { ?>
                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                <?php } else { ?>
                <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                <?php } ?>
                <?php } ?>
              </select> <?php echo $tip_status_complete; ?></td>
          </tr>
          <tr>
            <td><?php echo $entry_failed_status; ?></td>
            <td><select name="flow_servipag_failed_status_id">
                <?php foreach ($order_statuses as $order_status) { ?>
                <?php if ($order_status['order_status_id'] == $flow_servipag_failed_status_id) { ?>
                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                <?php } else { ?>
                <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                <?php } ?>
                <?php } ?>
              </select> <?php echo $tip_status_failed; ?></td>
          </tr>
          <tr>
            <td><?php echo $entry_geo_zone; ?></td>
            <td><select name="flow_servipag_geo_zone_id">
                <option value="0"><?php echo $text_all_zones; ?></option>
                <?php foreach ($geo_zones as $geo_zone) { ?>
                <?php if ($geo_zone['geo_zone_id'] == $flow_servipag_geo_zone_id) { ?>
                <option value="<?php echo $geo_zone['geo_zone_id']; ?>" selected="selected"><?php echo $geo_zone['name']; ?></option>
                <?php } else { ?>
                <option value="<?php echo $geo_zone['geo_zone_id']; ?>"><?php echo $geo_zone['name']; ?></option>
                <?php } ?>
                <?php } ?>
              </select></td>
          </tr>
          <tr>
            <td><?php echo $entry_status; ?></td>
            <td><select name="flow_servipag_status">
                <?php if ($flow_servipag_status) { ?>
                <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                <option value="0"><?php echo $text_disabled; ?></option>
                <?php } else { ?>
                <option value="1"><?php echo $text_enabled; ?></option>
                <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                <?php } ?>
              </select></td>
          </tr>
          <tr>
            <td><?php echo $entry_sort_order; ?></td>
            <td><input type="text" name="flow_servipag_sort_order" value="<?php echo $flow_servipag_sort_order; ?>" size="1" /></td>
          </tr>
        </table>
      </form>
    </div>
  </div>
</div>
<?php echo $footer; ?> 
